Bug 7475 - Option to overlay authorities
Summary: Option to overlay authorities
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 2060 7284
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-01-28 16:29 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7475: Enable authority overlay (46.74 KB, patch)
2012-06-13 22:24 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Example authority record (388 bytes, application/octet-stream)
2012-06-13 23:24 UTC, Jared Camins-Esakov
Details
Example authority record (415 bytes, application/octet-stream)
2012-06-13 23:25 UTC, Jared Camins-Esakov
Details
Bug 7475: Enable authority overlay (48.33 KB, patch)
2012-06-22 03:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-01-28 16:29:45 UTC
Right now it is impossible to overlay existing records when importing new authority records. There needs to be a script that handles the following overlay options:
* Overlay (or discard) based on matching preferred headings (1xx in MARC21, 2xx in UNIMARC)
* Overlay (or discard) based on matching LCCNs (010 in MARC21)
* Overlay (or discard) based on matching control numbers (001 for both MARC21 and UNIMARC)
* Overlay (or discard) based on matching an earlier form of the heading (4xx$w/2=[aeo] in MARC21, 4xx$5=a in UNIMARC)
* Select which record to keep based on the date last modified (003 in MARC21)

This script will enable libraries to keep their authority records up to date with the latest national authority files, without polluting the local authority file with numerous copies of authority records (every time they are updated).
Comment 1 Jared Camins-Esakov 2012-06-13 22:24:26 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-06-13 23:23:54 UTC
Comment on attachment 10262 [details] [review]
Bug 7475: Enable authority overlay

False alarm, sorry. This was the wrong patch.
Comment 3 Jared Camins-Esakov 2012-06-13 23:24:43 UTC
Created attachment 10263 [details]
Example authority record

Example authority record (version 1)
Comment 4 Jared Camins-Esakov 2012-06-13 23:25:23 UTC
Created attachment 10264 [details]
Example authority record

Example authority record (version 2)
Comment 5 Jared Camins-Esakov 2012-06-22 03:53:47 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-06-22 03:54:29 UTC
The commit message and functionality in this version of the patch should actually line up.
Comment 7 Jared Camins-Esakov 2012-06-23 03:37:06 UTC
I am preparing the patch for bug 2060, and the test plan is pretty much exactly the same, so I would suggest holding off on signing off on this one, and I will submit one combined patch (or a series of combined patches) which can then be signed off with exactly as much work as either one was going to be individually.
Comment 8 Jared Camins-Esakov 2012-06-27 16:59:36 UTC
Patches are available in the bug_2060 branch in my repository: https://github.com/jcamins/koha.git
Comment 9 Jared Camins-Esakov 2012-07-17 15:00:33 UTC
Please see bug 2060 for the signed-off patches for this feature.
Comment 10 Jared Camins-Esakov 2012-12-03 13:31:31 UTC
This feature is available in Master.